summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman2010-05-12 23:30:33 +0200
committer Heinz Wiesinger2010-05-12 23:30:33 +0200
commit2276e3b2d99291a163a0f7a608db0b172c4c0469 (patch)
tree17da0045110ff947507f6e6e71402e9dc45348fa
parent9aff4b1c30e69cf83f7283c8ff089eeb398a6393 (diff)
downloadslackbuilds-2276e3b2d99291a163a0f7a608db0b172c4c0469.tar.gz
libraries/libkexif: Added to 12.2 repository
-rw-r--r--libraries/libkexif/README4
-rw-r--r--libraries/libkexif/libkexif.SlackBuild88
-rw-r--r--libraries/libkexif/libkexif.info8
-rw-r--r--libraries/libkexif/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/libraries/libkexif/README b/libraries/libkexif/README
new file mode 100644
index 0000000000..56f1751bb9
--- /dev/null
+++ b/libraries/libkexif/README
@@ -0,0 +1,4 @@
+Libkexif is a library for manipulating EXIF information embedded in
+images. It currently supports viewing of all EXIF information via
+libexif. It also supports the modification of a few attributes in a
+safe way that preserves all other EXIF information in the file.
diff --git a/libraries/libkexif/libkexif.SlackBuild b/libraries/libkexif/libkexif.SlackBuild
new file mode 100644
index 0000000000..4c4faa32a3
--- /dev/null
+++ b/libraries/libkexif/libkexif.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Copyright 2009 Robby Workman Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libkexif
+VERSION=0.2.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mcpu=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/kde \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS PACKAGING README RELEASE.rev \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libkexif/libkexif.info b/libraries/libkexif/libkexif.info
new file mode 100644
index 0000000000..0ef5f7e748
--- /dev/null
+++ b/libraries/libkexif/libkexif.info
@@ -0,0 +1,8 @@
+PRGNAM="libkexif"
+VERSON="0.2.5"
+HOMEPAGE="http://extragear.kde.org/apps/kipi/"
+DOWNLOAD="http://downloads.sourceforge.net/kipi/libkexif-0.2.5.tar.bz2"
+MD5SUM="a2b933b80deabe57d8515583236ae6ff"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="pprkut"
diff --git a/libraries/libkexif/slack-desc b/libraries/libkexif/slack-desc
new file mode 100644
index 0000000000..d41879b46f
--- /dev/null
+++ b/libraries/libkexif/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libkexif: libkexif (library for manipulation of EXIF data)
+libkexif:
+libkexif: Libkexif is a library for manipulating EXIF information embedded in
+libkexif: images. It currently supports viewing of all EXIF information via
+libkexif: libexif. It also supports the modification of a few attributes in a
+libkexif: safe way that preserves all other EXIF information in the file.
+libkexif:
+libkexif: Homepage: http://www.digikam.org/
+libkexif:
+libkexif:
+libkexif: